aboutsummaryrefslogtreecommitdiff
path: root/check/ksh.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:32:49 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:32:49 +1300
commite7213cb7cbd3149377cf6c08dc9c3813c99743f8 (patch)
treed754980f8c170cd260ea0984cadd9e295851a0b3 /check/ksh.sh
parentUse shell name not command in check/lint messages (diff)
downloaddotfiles-e7213cb7cbd3149377cf6c08dc9c3813c99743f8.tar.gz
dotfiles-e7213cb7cbd3149377cf6c08dc9c3813c99743f8.zip
Tidy and correct linting for all three shells
Reduce each one to target only the dotfiles specifically for that shell, as opposed to previously where for example the `check-sh` target was checking shell shims in for `mpd` and `plenv`. I'm still not completely sure that's the right approach, but it's at least less conceptually muddy than what we had before. Notably, the check and lint for Korn shell includes a single POSIX shell script file in its `shrc.d` subdirectory, so that check is executed separately.
Diffstat (limited to 'check/ksh.sh')
-rw-r--r--check/ksh.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/check/ksh.sh b/check/ksh.sh
index 51e71e19..f4bade82 100644
--- a/check/ksh.sh
+++ b/check/ksh.sh
@@ -1,5 +1,8 @@
-for ksh in ksh/* ksh/kshrc.d/* ; do
- [ -f "$ksh" ] || continue
- ksh -n "$ksh" || exit
+set \
+ ksh/kshrc \
+ ksh/kshrc.d/*.ksh
+for ksh ; do
+ ksh -n -- "$ksh" || exit
done
-printf 'All ksh scripts parsed successfully.\n'
+sh -n -- ksh/shrc.d/ksh.sh || exit
+printf 'Korn shell dotfiles parsed successfully.\n'